const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 48)));
    if *((edi_global_2d_to_2d_local - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    v1_45 = __asm_movsd_2(v5_1c) # bp+45;
    __asm_wait();
    storemerge9_in_in = *(((-116 if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 256 == 0 else -108) + edi_global_2d_to_2d_local));
    esi_global_2d_to_2d_local[128] = storemerge9_in_in;
    fabsl(storemerge9_in_in);
    __asm_wait();
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 256 == 0:;
        # 0x7b;
        esi_global_2d_to_2d_local[128] = *((edi_global_2d_to_2d_local - 124));
    # 0x8a;
    fabs(stack_var__2d_28);
    v0_94 = __asm_wait() # bp+94;
    v1_95 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+95;
    if v1_95 & 256 == 0:;
        # 0x9a;
        esi_global_2d_to_2d_local[128] = *((edi_global_2d_to_2d_local - 124));
    v7_c0 = sqrtl(v1_45 * v1_45 + tmp261 * tmp261 + stack_var__2d_28 * stack_var__2d_28) * *((edi_global_2d_to_2d_local - 72));
    v7_c7 = fabsl(2 * v7_c0) - *((edi_global_2d_to_2d_local - 16));
    if *((edi_global_2d_to_2d_local - 76)) == 0:;
        # 0xd0;
        v1_d3 = v7_c7 / *((edi_global_2d_to_2d_local - 32));
    else:;
        v1_d3 = v7_c7;
    # 0xd3;
    *((esi_global_2d_to_2d_local - 32)) = v1_d3;
    return v0_94 & -0x10000 | v1_95;


	}